#pragma once

#include <QPainter>
#include <QDebug>
#include <QWidget>
#include <QImage>
#include <QPlainTextEdit>

#include "resolution.h"

#include <stdint.h>
#include <math.h>

class displayWidget : public QWidget
{
    Q_OBJECT

public:
    displayWidget(QWidget *parent,resolution resolution);
    virtual ~displayWidget();

    void setResolution(resolution res);
    resolution getResolution();
    uint32_t *getPixels();

protected:
    void paintEvent(QPaintEvent *e);

private:

    uint32_t *m_pixel;
    resolution m_resolution;
    QImage m_image;
};
